Loading...
Searching...
No Matches
bsoncxx::builder::concatenate_array Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/builder/concatenate.hpp>`

## Description

Container to concatenate an array.

Use this with an array builder to merge an existing array's fields with that of the array being built.

## Public Member Functions

| operator array::view () const
| Conversion operator that provides a view of the wrapped concatenate array.
array::view | view () const
| Accessor that provides a view of the wrapped concatenate array.

## Member Function Documentation

## operator array::view()

bsoncxx::v_noabi::builder::concatenate_array::operator array::view | ( |  | ) | const

inline

Conversion operator that provides a view of the wrapped concatenate array.

Returns
  A view of the wrapped concatenate array.

## view()

array::view bsoncxx::v_noabi::builder::concatenate_array::view | ( |  | ) | const

inline

Accessor that provides a view of the wrapped concatenate array.

Returns
  A view of the wrapped concatenate array.

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/builder/concatenate.hpp